Library Version 18.1.40

Chapter 23. ElementHolder
Prev |  | Next

## Chapter 23. ElementHolder

A wrapper class for primitive types.

It has identical usage and public interface to the ElementRef class.

#### See Also

ElementRef .

#### Public Members

Member | Description
--- | ---
ElementHolder | Constructor.
~ElementHolder | Destructor.
operator+= |
operator-= |
operator *= |
operator/= |
operator%= |
operator &= |
operator|= |
operator^= |
operator>>= |
operator<<= |
operator++ |
operator-- |
operator= |
operator ptype | This operator is a type converter.
_DB_STL_value | Returns the data element this wrapper object wraps;.
_DB_STL_StoreElement | Function to store the data element.

#### Group

ElementRef and ElementHolder Wappers

## ElementHolder

### Function Details

    ElementHolder(iterator_type *pitr=NULL)

Constructor.

If the pitr parameter is NULL or the default value is used, the object created is a simple wrapper and not connected to a container. If a valid iterator parameter is passed in, the wrapped element will be associated with the matching key/data pair in the underlying container.

#### Parameters

##### pitr

The iterator owning this object.

    ElementHolder(const ptype &dt)

Constructor.

Initializes an ElementRef wrapper without an iterator. It can only be used to wrap a data element in memory, it can't access an unerlying database.

#### Parameters

##### dt

The base class object to initialize this object.

    ElementHolder(const self &other)

Copy constructor.

The constructor takes a "deep" copy. The created object will be identical to, but independent from the original object.

#### Parameters

##### other

The object to clone from.

### Class

ElementHolder

Prev |  | Next
Chapter 22. ElementRef and ElementHolder Wappers | Home | ~ElementHolder